- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 7be100b8-a57a-4d28-a1e6-a55ecfeb0152
    creation_time: 2023-02-17T13:41:24.905766Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-lit/cggmp2005.c
      input_file_hashes:
        c/loop-lit/cggmp2005.c: 9b2e580179989d30a2532300d7691a14943052c6ee85fab170a59070c70f0c6d
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-lit/cggmp2005.c
    file_hash: 9b2e580179989d30a2532300d7691a14943052c6ee85fab170a59070c70f0c6d
    line: 11
    column: 0
    function: __VERIFIER_assert
  loop_invariant:
    string: j == 10 - (i - 1)/2 && 6 <= j && j <= 10 && 1 <= i && i <= 9 && j % 3 == i % 3
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: f8c285b2-b002-4b86-a3ce-bb162ba899e2
    creation_time: 2023-02-17T13:41:24.906141Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-lit/cggmp2005.c
      input_file_hashes:
        c/loop-lit/cggmp2005.c: 9b2e580179989d30a2532300d7691a14943052c6ee85fab170a59070c70f0c6d
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-lit/cggmp2005.c
    file_hash: 9b2e580179989d30a2532300d7691a14943052c6ee85fab170a59070c70f0c6d
    line: 16
    column: 0
    function: __VERIFIER_assert
  location_invariant:
    string: j == 6
    type: assertion
    format: C

